NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback

## 5.9. nvmlMemory_t Struct Reference

## [Device Structs]

Memory allocation information for a device.

### Public Variables

unsigned long long free
  Unallocated FB memory (in bytes).
unsigned long long total
  Total installed FB memory (in bytes).
unsigned long long used
  Allocated FB memory (in bytes). Note that the driver/GPU always sets aside a small amount of memory for bookkeeping.

### Variables

unsigned long long nvmlMemory_t::free [inherited]

  Unallocated FB memory (in bytes).

unsigned long long nvmlMemory_t::total [inherited]

  Total installed FB memory (in bytes).

unsigned long long nvmlMemory_t::used [inherited]

  Allocated FB memory (in bytes). Note that the driver/GPU always sets aside a small amount of memory for bookkeeping.

NVML API Reference Guide (PDF) - vR331 (older) - Last updated March 14, 2014 - Send Feedback